### Method

# Gtk ColumnViewColumn get_id

since: 4.10

#### Declaration [src]

    const char*
    gtk_column_view_column_get_id (
      GtkColumnViewColumn* self
    )

#### Description [src]

Returns the ID set with `gtk_column_view_column_set_id()`.

Available since: 4.10

Gets property | `Gtk.ColumnViewColumn:id`

#### Return value

Type: `const char*`

The column’s ID.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.